  DELETE tbfs
  from VCLib.T_BASE_FEATURE_SETTINGS tbfs
  join VCLib.T_CLIENT_MODULE_FEATURE tcmf on tcmf.ClientModuleFeatureID = tbfs.ClientModuleFeature 
  join VCLib.T_CLIENT_MODULES tcm on tcmf.ClientModules = tcm.ClientModuleID
  where tcm.ModuleType = 'SmoClientModule'
  and tcmf.Name = 'HideVmpReferral';

  delete tcmf
  from VCLib.T_CLIENT_MODULE_FEATURE tcmf
  join VCLib.T_CLIENT_MODULES tcm on tcmf.ClientModules = tcm.ClientModuleID
  where tcm.ModuleType = 'SmoClientModule'
  and tcmf.Name = 'HideVmpReferral';